Skip to main content
POST
Batch generate NPC dialogue

Path Parameters

project_id
string
required

Body

application/json

POST /v1/projects/{project_id}/characters/batch/generate

npc_ids
string<uuid>[]
required

List of NPC IDs to trigger generation for

Required array length: 1 - 50 elements
context
string
default:""

Shared project/scenario context for all NPCs

generation_type
enum<string>
default:dialogue

Type of generation to run for each NPC. Currently only dialogue.

Available options:
dialogue

Response

Generation accepted for all NPCs

The response is of type Response Batch Generate V1 Projects Project Id Game Narrative Characters Batch Generate Post · object.